Bug 448208 - Default route not set for static IP address
Default route not set for static IP address
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
8
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-24 09:04 EDT by Robin Green
Modified: 2013-01-13 08:15 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:32:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/etc/sysconfig/network-scripts/ifcfg-wlan0 (370 bytes, text/plain)
2008-05-24 09:04 EDT, Robin Green
no flags Details

  None (edit)
Description Robin Green 2008-05-24 09:04:24 EDT
Description of problem:
I am connecting to a Macbook running Mac OS 10.5 which has a shared Internet
connection. For some reason, Mac OS 10.5 does not seem to start a DHCP server
when sharing the Internet connection, so I used static IP settings. However, the
routing got set up incorrectly - the route for the local network was missing,
and the default route was also missing (probably as a consequence, because if
you try to add the latter route manually at the command line, without first
adding the former, you get an error message).

Version-Release number of selected component (if applicable):
system-config-network-1.5.5-1.fc8

How reproducible:
Always

Steps to Reproduce:
1. Type in settings as in attached config file
2. Activate interface
3. route -n
  
Actual results:
Kernel IP routing table
Destination     Gateway         Genmask         Flags Metric Ref    Use Iface
192.168.0.0     0.0.0.0         255.255.255.0   U     0      0        0 eth1
169.254.0.0     0.0.0.0         255.255.0.0     U     0      0        0 wlan0

Expected results:
Kernel IP routing table
Destination     Gateway         Genmask         Flags Metric Ref    Use Iface
10.0.2.0        0.0.0.0         255.255.255.0   U     0      0        0 wlan0
192.168.0.0     0.0.0.0         255.255.255.0   U     0      0        0 eth1
169.254.0.0     0.0.0.0         255.255.0.0     U     0      0        0 wlan0
0.0.0.0         10.0.2.1        0.0.0.0         UG    0      0        0 wlan0

Additional info:
The Macbook has two IP addresses assigned to its wireless interface. I don't
know why, and I don't have a clue how Fedora assigns one route based on the
Macbook's *other* IP address!

This was the only workaround that worked for me: Save the following as
/sbin/ifup-local:
#! /bin/bash -eup
if [ "$1" = "wlan0" ]; then
  route add -net 10.0.2.0 netmask 255.255.255.0 dev wlan0
  route add default gw 10.0.2.1
fi

and make it executable.
Comment 1 Robin Green 2008-05-24 09:04:24 EDT
Created attachment 306579 [details]
/etc/sysconfig/network-scripts/ifcfg-wlan0
Comment 2 Bug Zapper 2008-11-26 05:46:12 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-01-09 01:32:52 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.